@extends('manager::layouts.master')

@section('content')
    <div class="box-form-login">

        <div class="page-header">
            <h2>{{ Config::get('manager::title') }}</h2>
        </div><!-- .page-header -->

        {{ Msg::getAll() }}

        <form class="form-login" action="{{ Config::get('manager::url') }}/login" method="post" id="form-login">
            <input type="hidden" name="acao" value="login" />
            <input type="hidden" name="redirect" value="" />

            <fieldset>
                <legend>Faça o login</legend>

                <input type="text" class="input-block-level" name="email" id="email" placeholder="E-mail" autofocus />

                <input type="password" class="input-block-level" name="password" id="password" placeholder="Senha" />

                <div class="pull-left">
                    <label for="remember" class="checkbox">
                        <input type="checkbox" name="remember" id="remember" value="1" />
                        Manter logado
                    </label>

                    <small class="help-block">Não utilize essa opção em computadores públicos</small>
                </div><!-- .pull-left -->

                <div class="pull-right">
                    <a class="btn-link" href="#modal-esqueci-minha-senha" id="btn-esqueci-minha-senha" data-toggle="modal">Esqueceu sua senha?</a>
                </div>

                <div class="clearfix"></div>

                <div class="pull-right">
                    <input class="btn btn-large btn-primary js-btn-login" type="submit" value="Login" data-loading-text="Logando..." />
                </div><!-- .pull-right -->

                <div class="clearfix"></div>
            </fieldset>
        </form><!-- #form-login -->
    </div><!-- .box-form-login -->

    <!-- Modal do esqueci minha senha -->
    <div id="modal-esqueci-minha-senha" class="modal hide fade">
        <form action="{{ route('manager.usuarios.forgot.send') }}" method="post" id="form-esqueci-minha-senha" class="form-horizontal">
            <div class="modal-header">
                <a href="#" class="close" data-dismiss="modal">&times;</a>
                <h3>Esqueci minha senha</h3>
            </div><!-- .modal-header -->

            <div class="modal-body">
                <p>Digite seu <strong>e-mail</strong> abaixo que enviaremos um link para refazer sua senha.</p>

                <fieldset>
                    <input type="email" name="email" id="email-esqueci-minha-senha" class="input-xlarge" placeholder="E-mail" required maxlength="255" />
                </fieldset>
            </div><!-- .modal-body -->

            <div class="modal-footer">
                <input type="submit" class="btn btn-primary js-btn-recover-password" value="Recuperar senha" data-loading-text="Enviando..." />
                <a href="#" class="btn btn-close-modal" data-dismiss="modal">Fechar</a>
            </div><!-- .modal-footer -->
        </form>
    </div>
@stop

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-login').on('submit', function(e) {
            $('.js-btn-login').prop('disabled', true).button('loading');
        });

        $('#form-esqueci-minha-senha').on('submit', function(e) {
            $('.js-btn-recover-password').prop('disabled', true).button('loading');
        });
    })();
    </script>
@stop
